libgdamm Reference Documentation

Main Page Namespaces Book

# Gnome::Gda::DataModelRow Class Reference
[Data Models]

Base implementation for other objects to implement the DataModel interface based on the use of rows. More...

Inheritance diagram for Gnome::Gda::DataModelRow:

[legend]
List of all members.

## Public Member Functions

const Glib::RefPtr< const Row > | get_row (int row) const
| Finds the Gda::Row object corresponding to the row row number.
const Glib::RefPtr<Row> | get_row (int row)
| Finds the Gda::Row object corresponding to the row row number.
const GdaDataModelRow* | gobj () const
| Provides access to the underlying C GObject.
GdaDataModelRow* | gobj ()
| Provides access to the underlying C GObject.
GdaDataModelRow* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_command_text () const
| You rarely need to use properties because there are get_ and set_ methods for almost all of them.
Glib::PropertyProxy<Glib::ustring> | property_command_text ()
| You rarely need to use properties because there are get_ and set_ methods for almost all of them.
Glib::PropertyProxy_ReadOnly< int > | property_command_type () const
| You rarely need to use properties because there are get_ and set_ methods for almost all of them.
Glib::PropertyProxy<int> | property_command_type ()
| You rarely need to use properties because there are get_ and set_ methods for almost all of them.
Glib::PropertyProxy_ReadOnly< bool > | property_read_only () const
| You rarely need to use properties because there are get_ and set_ methods for almost all of them.
Glib::PropertyProxy<bool> | property_read_only ()
| You rarely need to use properties because there are get_ and set_ methods for almost all of them.
virtual | ~DataModelRow ()

## Related Functions

(Note that these are not member functions.)
Glib::RefPtr<Gnome::Gda::DataModelRow> | wrap (GdaDataModelRow* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

Base implementation for other objects to implement the DataModel interface based on the use of rows.

This object is not intended to be instantiated directly, but to be used as a base class.

## Constructor & Destructor Documentation

virtual Gnome::Gda::DataModelRow::~DataModelRow | ( |  | ) | `[virtual]`

## Member Function Documentation

const Glib::RefPtr<const Row> Gnome::Gda::DataModelRow::get_row | ( | int | row | ) | const

Finds the Gda::Row object corresponding to the row row number.

Parameters:

  | row | The row number to fetch.

Returns:
  The Gda::Row, or `0` if not found.

const Glib::RefPtr<Row> Gnome::Gda::DataModelRow::get_row | ( | int | row | ) |

Finds the Gda::Row object corresponding to the row row number.

Parameters:

  | row | The row number to fetch.

Returns:
  The Gda::Row, or `0` if not found.

const GdaDataModelRow* Gnome::Gda::DataModelRow::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gnome::Gda::DataModel.

Reimplemented in Gnome::Gda::DataModelArray, Gnome::Gda::DataModelFilterSQL, Gnome::Gda::DataModelHash, and Gnome::Gda::DataModelImport.

GdaDataModelRow* Gnome::Gda::DataModelRow::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gnome::Gda::DataModel.

Reimplemented in Gnome::Gda::DataModelArray, Gnome::Gda::DataModelFilterSQL, Gnome::Gda::DataModelHash, and Gnome::Gda::DataModelImport.

GdaDataModelRow* Gnome::Gda::DataModelRow::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

Reimplemented from Gnome::Gda::Object.

Reimplemented in Gnome::Gda::DataModelArray, Gnome::Gda::DataModelFilterSQL, Gnome::Gda::DataModelHash, and Gnome::Gda::DataModelImport.

Glib::PropertyProxy_ReadOnly<Glib::ustring> Gnome::Gda::DataModelRow::property_command_text | ( |  | ) | const

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<Glib::ustring> Gnome::Gda::DataModelRow::property_command_text | ( |  | ) |

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<int> Gnome::Gda::DataModelRow::property_command_type | ( |  | ) | const

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<int> Gnome::Gda::DataModelRow::property_command_type | ( |  | ) |

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<bool> Gnome::Gda::DataModelRow::property_read_only | ( |  | ) | const

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<bool> Gnome::Gda::DataModelRow::property_read_only | ( |  | ) |

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

## Friends And Related Function Documentation

Glib::RefPtr<Gnome::Gda::DataModelRow> wrap | ( | GdaDataModelRow * | object,
|  | bool | take_copy = `false` |
| ) |  |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  | object | The C instance.
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- datamodelrow.h